g10s_LIBFILE=${g10s_LIBFILE="/UltraPath/install/linuxTools/globalLib/g10s_pub"}
if [ -f "${g10s_LIBFILE}" ]
then
	. "${g10s_LIBFILE}"
else
    fileFlag=${0##*/}
    fileFlag=${fileFlag%%_*}
	echo -e "\033[31m[ERROR:15][${fileFlag}][`date +%Y%m%d%H%M%S`][$0,${FUNCNAME[1]},${BASH_LINENO[0]}] not found the lib[${g10s_LIBFILE}]\033[0m"
	exit 1
fi

function t221_CheckInstallPackage()
{
   local tmpModulePath
   local tmpRet
   g10s_getPathForInstall
   g10s_getOSType
   
   tmpRet=0
   
  
   tmpModulePath="${g10s_PathForInstall}"
   if [ ! -d /UltraPath/install/kernelModules/${tmpModulePath} ]
   then
       return 1
   fi
   if [ ! -f /UltraPath/install/kernelModules/${tmpModulePath}/nxup.ko ]
   then
       tmpRet=2         
   fi

   if [ ! -f /UltraPath/install/kernelModules/${tmpModulePath}/nxupext_a.ko ]
   then
       if [ "$tmpRet" -eq 2 ] 
       then
           tmpRet=5
       else
           tmpRet=3
       fi
   fi
  
   if [ `echo "${g10s_OSVersion}" | grep -c -E "(UVPV1R2|UVPV1R3|UVPSP3|UVPV1R1C03|UVPV2R3)"` -ne 0 ]
   then
	   return $tmpRet
   fi
  
  if [ ! -f /UltraPath/install/kernelModules/${tmpModulePath}/nxupext_b.ko ]
  then
      if [ "$tmpRet" -eq 2 ]
      then 
          tmpRet=6
      elif [ "$tmpRet" -eq 5 ]
      then  
          tmpRet=7
      elif [ "$tmpRet" -eq 3 ] 
      then  
	      tmpRet=8
      else  
           tmpRet=4
      fi
   fi
   return $tmpRet
}
t221_CheckInstallPackage
